#ifndef _DeviceUtils_H_
#define _DeviceUtils_H_

#include "datatable/FieldFormat.h"
#include "datatable/validator/IdValidator.h"
#include <string>
#include "Cres.h"

class DeviceUtils
{
private:
    DeviceUtils();
    virtual ~DeviceUtils();
 
    FieldFormat* NAME_FIELD;
    FieldFormat* DESCRIPTION_FIELD;

public:
    static AgString FIELD_DEVICE_DRIVER() { return "driver"; }
    static AgString FIELD_DEVICE_DESCRIPTION() { return "description"; }
    static AgString FIELD_DEVICE_NAME() { return "name"; }


    static DeviceUtils& getInstance()
    {
        static DeviceUtils instance;
        return instance;
    }

    FieldFormat* getNAME_FIELD();
    FieldFormat* getDESCRIPTION_FIELD();
};

#endif
